Project Instance
API endpoint that allows projects to be viewed or edited.
GET /api/v2/projects/110/?format=api
{ "id": 110, "name": "AV", "description": "Only for testing", "details": "https://api.beluga.insectai.org/api/v2/projects/110/?format=api", "deployments_count": 1, "created_at": "2025-09-10T05:48:25.323049", "updated_at": "2025-09-10T05:48:26.296395", "image": null, "draft": false, "deployments": [ { "id": 284, "name": "Default Station", "image": null, "details": "https://api.beluga.insectai.org/api/v2/deployments/284/?format=api", "latitude": 0.0, "longitude": 0.0, "events_count": 1, "user_permissions": [] } ], "summary_data": [ { "id": "captures", "title": "Captures", "plots": [ { "title": "Average captures per hour", "data": { "x": [ "1:00 AM", "2:00 AM" ], "y": [ 1.0, 2.0 ], "ticktext": [ "1:00 AM", "2:00 AM" ] }, "type": "bar" }, { "title": "Captures per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 0, 3, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] }, { "id": "occurrences", "title": "Occurrences", "plots": [ { "title": "Average detections per hour", "data": { "x": [], "y": [], "ticktext": [] }, "type": "bar" }, { "title": "Occurrences per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] }, { "id": "taxa", "title": "Taxa", "plots": [ { "title": "Top species observed", "data": { "x": [], "y": [] }, "type": "bar", "orientation": "h" }, { "title": "Unique species per month", "data": { "x": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ], "y": [ 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0 ], "tickvals": [ "Jan", "Feb", "Mar", "Apr", "May", "Jun", "Jul", "Aug", "Sep", "Oct", "Nov", "Dec" ] }, "type": "bar" } ] } ], "owner": { "id": 4, "name": "Anna Viklund", "image": "https://object-arbutus.cloud.computecanada.ca/ami-media-staging/uploads/users/insect-monitor.jpeg", "details": "https://api.beluga.insectai.org/api/v2/users/4/?format=api", "user_permissions": [] }, "feature_flags": { "tags": false, "reprocess_existing_detections": false, "default_filters": false, "reprocess_all_images": false, "async_pipeline_workers": false }, "settings": { "default_filters_exclude_taxa": [], "default_filters_include_taxa": [], "default_filters_score_threshold": 0.5, "default_processing_pipeline": null, "session_time_gap_seconds": 7200, "user_permissions": [] }, "is_member": false, "user_permissions": [] }